Skip to main content
GET
/
v1
/
export
/
payments
Export All Transactions From Your Account
curl --request GET \
  --url https://api.hel.io/v1/export/payments \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "68129f9cc81cc9397e012b3a",
    "txSignature": "2xRE1Yhfq8SPxom2U2EyFxVB27uPKVFUYWUoaZCz58VDm4VMcNf8Ko2wn4FQeLibCrW2DAwVZEyXgNx9iAM4BEAr",
    "solScanLink": "https://solscan.io/tx/2xRE1Yhfq8SPxom2U2EyFxVB27uPKVFUYWUoaZCz58VDm4VMcNf8Ko2wn4FQeLibCrW2DAwVZEyXgNx9iAM4BEAr?cluster=mainnet",
    "time": "2025-04-30T22:09:32.978Z",
    "amount": "99",
    "decimalAmount": "0.000099",
    "totalAmountAsUSD": "99",
    "convertedAmount": 0.000099,
    "currency": "USDC",
    "blockchain": "SOL",
    "from": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
    "intervalUnit": null,
    "transactionStatus": "SUCCESS",
    "fee": 1,
    "grossAmount": "4000000",
    "quantity": 1,
    "paymentRequestId": "681237aa704dab3e022bb9ed",
    "paymentRequestName": "Paylink",
    "paymentRequestUrl": "https://app.hel.io/pay/681237aa704dab3e022bb9ed",
    "paymentRequestUrlWithSlug": null,
    "cancelAt": null,
    "startAt": null,
    "endAt": null,
    "transactionType": "PAYLINK",
    "affiliateFee": "0"
  }
]
Note: When using the production environment at moonpay.hel.io, set your API endpoint to api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.

Authorizations

Authorization
string
header
required

Authentication using JWT token

Query Parameters

apiKey
string
required

Your API key can be generated on the Helio Dashboard’s settings page.

nrDays
string

Return results from the past n days, where the most recent day is 1.

publicKey
string

Filter by sender public key.

Response

Successful response with exported payments.

id
string
txSignature
string
paymentRequestId
string
paymentRequestUrl
string
paymentRequestName
string
quantity
number
time
string
amount
number
decimalAmount
string
totalAmountAsUSD
number
currency
string
blockchain
enum<string>
Available options:
SOL
from
string
paymentRequestUrlWithSlug
string
cancelAt
number
endAt
number
startAt
number
intervalUnit
enum<string>
Available options:
SECOND
email
string
discordUsername
string
twitterUsername
string
telegramUsername
string
fullName
string
country
string
deliveryAddress
string
phoneNumber
string
state
string
street
string
streetNumber
string
city
string
areaCode
string
name
string
value
string
affiliateFee
number
affiliateWallet
string
fee
number
transactionStatus
string
btcProperties
object
transactionType
enum<string>
Available options:
REFUNDED
additionalJSON
string
discountCode
string